Index: trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimization.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimization.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimization.cs	(revision 4068)
@@ -23,16 +23,15 @@
 using System.Collections.Generic;
 using System.Linq;
+using HeuristicLab.Analysis;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
+using HeuristicLab.Operators;
 using HeuristicLab.Optimization;
-using HeuristicLab.Operators;
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Random;
-using HeuristicLab.Analysis;
 
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
@@ -57,5 +56,5 @@
       set { AnalyzerParameter.Value = value; }
     }
-    #endregion 
+    #endregion
 
     #region Parameter Properties
@@ -131,9 +130,9 @@
       randomCreator.SetSeedRandomlyParameter.ActualName = SetSeedRandomlyParameter.Name;
       randomCreator.SetSeedRandomlyParameter.Value = null;
-      
+
       solutionsCreator.NumberOfSolutionsParameter.ActualName = SwarmSizeParameter.Name;
-      
+
       encoder.OperatorParameter.ActualName = "Encoder";
-      
+
       velocityVectorCreator.BoundsParameter.ActualName = "ZeroBounds";
       velocityVectorCreator.RealVectorParameter.ActualName = "Velocity";
@@ -210,5 +209,5 @@
       UpdateEncoders();
       UpdateAnalyzers();
-      ParameterizeAnalyzers(); 
+      ParameterizeAnalyzers();
       bestLocalQualityInitalizer.RightSideParameter.ActualName = Problem.Evaluator.QualityParameter.ActualName;
       Problem.Evaluator.QualityParameter.ActualNameChanged += new EventHandler(Evaluator_QualityParameter_ActualNameChanged);
Index: trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimizationMainLoop.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimizationMainLoop.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimizationMainLoop.cs	(revision 4068)
@@ -21,17 +21,11 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
 using HeuristicLab.Operators;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
+using HeuristicLab.Optimization;
+using HeuristicLab.Optimization.Operators;
+using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Parameters;
-using HeuristicLab.Data;
-using HeuristicLab.Analysis;
-using HeuristicLab.Optimization.Operators;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Optimization;
 
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
@@ -70,5 +64,5 @@
 
     [Storable]
-    private ParticleUpdater velocityUpdater; 
+    private ParticleUpdater velocityUpdater;
 
     [StorableConstructor]
@@ -98,9 +92,9 @@
       IntCounter intCounter = new IntCounter();
       ConditionalBranch conditionalBranch = new ConditionalBranch();
-      velocityUpdater = new ParticleUpdater(); 
+      velocityUpdater = new ParticleUpdater();
       UniformSubScopesProcessor uniformSubScopesProcessor = new UniformSubScopesProcessor();
       UniformSubScopesProcessor uniformSubScopesProcessor2 = new UniformSubScopesProcessor();
       Placeholder encPlaceholder = new Placeholder();
-      Placeholder decPlaceholder = new Placeholder(); 
+      Placeholder decPlaceholder = new Placeholder();
       Placeholder evaluator = new Placeholder();
       Comparator comparator = new Comparator();
@@ -134,5 +128,5 @@
 
       encPlaceholder.OperatorParameter.ActualName = EncoderParameter.ActualName;
-      decPlaceholder.OperatorParameter.ActualName = DecoderParameter.ActualName; 
+      decPlaceholder.OperatorParameter.ActualName = DecoderParameter.ActualName;
 
       evaluator.Name = "Evaluator (placeholder)";
@@ -159,5 +153,5 @@
       swarmUpdater.Successor = null;
       intCounter.Successor = resultsCollector1;
-      resultsCollector1.Successor = analyzer1; 
+      resultsCollector1.Successor = analyzer1;
       analyzer1.Successor = comparator;
       #endregion
Index: trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleUpdater.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleUpdater.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleUpdater.cs	(revision 4068)
@@ -20,13 +20,9 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
-using HeuristicLab.Core;
 
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
@@ -72,5 +68,5 @@
       double alpha = ((IRandom)RandomParameter.ActualValue).NextDouble();
       double beta = ((IRandom)RandomParameter.ActualValue).NextDouble();
-      RealVector velocity = (RealVector) VelocityParameter.ActualValue; 
+      RealVector velocity = (RealVector)VelocityParameter.ActualValue;
       for (int i = 0; i < velocity.Length; i++) {
         velocity[i] = velocity[i] + alpha * (BestLocalParameter.ActualValue[i] - CurrentPositionParameter.ActualValue[i]) + beta * (BestGlobalParameter.ActualValue[i] - CurrentPositionParameter.ActualValue[i]);
@@ -79,8 +75,8 @@
       for (int i = 0; i < CurrentPositionParameter.ActualValue.Length; i++) {
         CurrentPositionParameter.ActualValue[i] = CurrentPositionParameter.ActualValue[i] + VelocityParameter.ActualValue[i];
-        if (CurrentPositionParameter.ActualValue[i] < BoundsParameter.ActualValue[0,0]) {
-          CurrentPositionParameter.ActualValue[i] = BoundsParameter.ActualValue[0, 0]; 
-        } else if (CurrentPositionParameter.ActualValue[i] > BoundsParameter.ActualValue[0,1]) {
-          CurrentPositionParameter.ActualValue[i] = BoundsParameter.ActualValue[0, 1]; 
+        if (CurrentPositionParameter.ActualValue[i] < BoundsParameter.ActualValue[0, 0]) {
+          CurrentPositionParameter.ActualValue[i] = BoundsParameter.ActualValue[0, 0];
+        } else if (CurrentPositionParameter.ActualValue[i] > BoundsParameter.ActualValue[0, 1]) {
+          CurrentPositionParameter.ActualValue[i] = BoundsParameter.ActualValue[0, 1];
         }
       }
Index: trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/PermutationToRealVectorEncoder.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/PermutationToRealVectorEncoder.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/PermutationToRealVectorEncoder.cs	(revision 4068)
@@ -20,17 +20,11 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Operators;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Parameters;
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Collections;
+using HeuristicLab.Operators;
 using HeuristicLab.Optimization;
+using HeuristicLab.Parameters;
 
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
@@ -58,5 +52,6 @@
     }
 
-    public PermutationToRealVectorEncoder() : base() {
+    public PermutationToRealVectorEncoder()
+      : base() {
       Parameters.Add(new LookupParameter<Permutation>("Permutation", "The permutation to encode."));
       Parameters.Add(new LookupParameter<RealVector>("RealVector", "The resulting real vector."));
@@ -72,8 +67,8 @@
       for (int i = 0; i < permutation.Length; i++) {
         realVector[permutation[i]] = max;
-        max = max - 1; 
+        max = max - 1;
       }
       RealVectorParameter.ActualValue = realVector;
-      LengthParameter.ActualValue = new IntValue(realVector.Length); 
+      LengthParameter.ActualValue = new IntValue(realVector.Length);
       return base.Apply();
     }
Index: trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/SwarmUpdater.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/SwarmUpdater.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/SwarmUpdater.cs	(revision 4068)
@@ -20,12 +20,8 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Operators;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
+using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
 
@@ -78,5 +74,5 @@
         if (CurrentQualityParameter.ActualValue.Value > LocalBestQualityParameter.ActualValue.Value) {
           LocalBestQualityParameter.ActualValue.Value = CurrentQualityParameter.ActualValue.Value;
-          BestLocalParameter.ActualValue = (RealVector) CurrentPositionParameter.ActualValue.Clone();
+          BestLocalParameter.ActualValue = (RealVector)CurrentPositionParameter.ActualValue.Clone();
         }
         if (CurrentQualityParameter.ActualValue.Value > GlobalBestQualityParameter.ActualValue.Value) {
